Bug 990371 - [abrt] gdm-3.8.3-2.fc20: _IO_vfprintf_internal: Process /usr/libexec/gdm-simple-slave was killed by signal 11 (SIGSEGV)
[abrt] gdm-3.8.3-2.fc20: _IO_vfprintf_internal: Process /usr/libexec/gdm-simp...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:3eba84db4b65c8104a1cbe04dfe...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 01:25 EDT by Bambang Ismono
Modified: 2015-06-29 08:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:08:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (261.76 KB, text/plain)
2013-07-31 01:26 EDT, Bambang Ismono
no flags Details
File: cgroup (141 bytes, text/plain)
2013-07-31 01:26 EDT, Bambang Ismono
no flags Details
File: core_backtrace (4.54 KB, text/plain)
2013-07-31 01:26 EDT, Bambang Ismono
no flags Details
File: dso_list (2.22 KB, text/plain)
2013-07-31 01:26 EDT, Bambang Ismono
no flags Details
File: environ (124 bytes, text/plain)
2013-07-31 01:26 EDT, Bambang Ismono
no flags Details
File: exploitable (82 bytes, text/plain)
2013-07-31 01:26 EDT, Bambang Ismono
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-31 01:26 EDT, Bambang Ismono
no flags Details
File: maps (11.40 KB, text/plain)
2013-07-31 01:26 EDT, Bambang Ismono
no flags Details
File: open_fds (494 bytes, text/plain)
2013-07-31 01:26 EDT, Bambang Ismono
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2013-07-31 01:26 EDT, Bambang Ismono
no flags Details
File: var_log_messages (11.34 KB, text/plain)
2013-07-31 01:26 EDT, Bambang Ismono
no flags Details

  None (edit)
Description Bambang Ismono 2013-07-31 01:25:32 EDT
Version-Release number of selected component:
gdm-3.8.3-2.fc20

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/libexec/gdm-simple-slave --display-id /org/gnome/DisplayManager/Displays/_0
crash_function: _IO_vfprintf_internal
executable:     /usr/libexec/gdm-simple-slave
kernel:         3.11.0-0.rc2.git3.1.fc20.x86_64
runlevel:       3 5
uid:            0

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 _IO_vfprintf_internal at vfprintf.c:257
 #1 buffered_vfprintf at vfprintf.c:2328
 #2 _IO_vfprintf_internal at vfprintf.c:1289
 #3 __stpcpy_chk at ../sysdeps/x86_64/strcpy_chk.S:118
Comment 1 Bambang Ismono 2013-07-31 01:26:01 EDT
Created attachment 780919 [details]
File: backtrace
Comment 2 Bambang Ismono 2013-07-31 01:26:05 EDT
Created attachment 780920 [details]
File: cgroup
Comment 3 Bambang Ismono 2013-07-31 01:26:15 EDT
Created attachment 780921 [details]
File: core_backtrace
Comment 4 Bambang Ismono 2013-07-31 01:26:20 EDT
Created attachment 780922 [details]
File: dso_list
Comment 5 Bambang Ismono 2013-07-31 01:26:26 EDT
Created attachment 780923 [details]
File: environ
Comment 6 Bambang Ismono 2013-07-31 01:26:32 EDT
Created attachment 780924 [details]
File: exploitable
Comment 7 Bambang Ismono 2013-07-31 01:26:36 EDT
Created attachment 780925 [details]
File: limits
Comment 8 Bambang Ismono 2013-07-31 01:26:41 EDT
Created attachment 780926 [details]
File: maps
Comment 9 Bambang Ismono 2013-07-31 01:26:45 EDT
Created attachment 780927 [details]
File: open_fds
Comment 10 Bambang Ismono 2013-07-31 01:26:48 EDT
Created attachment 780928 [details]
File: proc_pid_status
Comment 11 Bambang Ismono 2013-07-31 01:26:53 EDT
Created attachment 780929 [details]
File: var_log_messages
Comment 12 Ray Strode [halfline] 2013-07-31 14:01:58 EDT
Bambang, do you know why your backtrace has this at the top of it:

warning: core file may not match specified executable file.

?  Have you been building gdm from source or so?
Comment 13 Bambang Ismono 2013-07-31 18:22:09 EDT
(In reply to Ray Strode [halfline] from comment #12)
> Bambang, do you know why your backtrace has this at the top of it:
> 
> warning: core file may not match specified executable file.
> 
> ?  Have you been building gdm from source or so?

Hi Ray,
I configured ABRT to report automatically. So, sorry, I do not know the backtrace has the one that you mentioned.
I did not build gdm from the source. I just use rawhide (for my experience), and hopefully can contribute to the community.
I guess, this happened yesterday when I logged out from the system, and the gdm crashed (probably, that was a stage which the abrt reported the errors). Then I logged in into text mode and then powered off the system (since it was after work hour and I need to go home...).
Sorry, I can only give you this tiny information, but I will also look at these reported files.
Thanks.
Comment 14 Fedora End Of Life 2013-09-16 10:55:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 15 Devon Janitz 2014-11-12 13:03:15 EST
Another user experienced a similar problem:

I was trying to exit out of Keepass running under Mono I think is what triggered it.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/libexec/gdm-simple-slave --display-id /org/gnome/DisplayManager/Displays/_0
crash_function: _IO_vfprintf_internal
executable:     /usr/libexec/gdm-simple-slave
kernel:         3.16.7-200.fc20.x86_64
package:        gdm-3.10.0.1-1.fc20
reason:         gdm-simple-slave killed by SIGSEGV
runlevel:       unknown
type:           CCpp
uid:            0
Comment 16 Fedora End Of Life 2015-05-29 05:13:57 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-06-29 08:08:47 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.